Module jdk.jfr
Package jdk.jfr

## Enum RecordingState

- java.lang.Object
- - java.lang.Enum<RecordingState>
  - - jdk.jfr.RecordingState

All Implemented Interfaces:
  `Serializable`, `Comparable<RecordingState>`

    public enum RecordingState
    extends Enum<RecordingState>

Indicates a state in the life cycle of a recording.

Since:
  9

### Enum Constant Summary

Enum Constants
`CLOSED` The recording is closed and all resources that are associated with the recording are released.
`DELAYED` The recording is scheduled to start with a start time in the future.
`NEW` The initial state when a `Recording` is created.
`RUNNING` The recording is recording data and an invocation of the `Recording.stop()` method will transition the recording to the `STOPPED` state.
`STOPPED` The recording is stopped and is holding recorded data that can be dumped to disk.

### Method Summary

All Methods Static Methods Concrete Methods
`static RecordingState` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static RecordingState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEW

    public static final RecordingState NEW

The initial state when a `Recording` is created.

#### DELAYED

    public static final RecordingState DELAYED

The recording is scheduled to start with a start time in the future.

An invocation of the `Recording.start()` method will transition the recording to the `RUNNING` state.

#### RUNNING

    public static final RecordingState RUNNING

The recording is recording data and an invocation of the `Recording.stop()` method will transition the recording to the `STOPPED` state.

#### STOPPED

    public static final RecordingState STOPPED

The recording is stopped and is holding recorded data that can be dumped to disk.

An invocation of the `Recording.close()` method will release the data and transition the recording to the `CLOSED` state.

#### CLOSED

    public static final RecordingState CLOSED

The recording is closed and all resources that are associated with the recording are released.

Nothing that can be done with a recording from this point, and it's no longer retrievable from the `FlightRrecorder.getRecordings()` method.

### Method Detail

#### values

    public static RecordingState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RecordingState c : RecordingState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RecordingState valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null